# Function inherit

- inherit(parent, extra?): any

- prototypal inheritance helper. Creates a new object which has `parent` object as its prototype, and then copies the properties from `extra` onto it.

  #### Parameters

  - parent: any

    The object to be used as the prototype.

  - `Optional` extra: any

    The object containing additional properties to be copied.

  #### Returns any

  - A new object with `parent` as its prototype and properties from `extra`.
  - Defined in shared/common.js:124